PUT/api/groups/{groupId}

Replace a group

Replaces a group's configuration identified by its group ID. Supply the required name and resources fields, and include peers if you want to assign peer IDs.

1 parameter · 3 body fields
groupIdstringrequired
The unique identifier of the group to replace.

Replacement group configuration, including the required name and resources.

namestringrequired
Group name identifier
peersarray<string>optional
List of peers ids
resourcesarray<object>optional
List of resources to associate with the group. Each entry includes a resource `id` and `type`.

5 status codes
200Returns the updated group object, including its ID, name, peer and resource counts, peers, and resources.
idstringrequired
Group ID
issuedstringoptional
How the group was issued (api, integration, jwt)
Allowed:apiintegrationjwt
namestringrequired
Group Name identifier
peers_countintegerrequired
Count of peers associated to the group
resources_countintegerrequired
Count of resources associated to the group
peersarray<object>required
List of peers object
resourcesarray<object>required
400Returned when the request is invalid, such as when the required group name is missing.
401Returned when authentication is missing or invalid.
403Returned when the authenticated user is not permitted to update the group.
500Returned when an internal server error occurs.

Error handling

A 400 is returned when the request is invalid, including when name is missing; a 401 is returned when authentication is missing or invalid; a 403 is returned when the authenticated user is not permitted to update the group; and a 500 is returned when an internal server error occurs. Each entry in resources must include id and type. The groupId path parameter must identify the group to replace.